//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Mask/AllMasksDisplay.h
//! @brief     Defines AllMasksDisplay class
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_MASK_ALLMASKSDISPLAY_H
#define BORNAGAIN_GUI_VIEW_MASK_ALLMASKSDISPLAY_H

#include "GUI/View/Shape/IMaskElementDisplay.h"

class MaskAllItem;

//! This is a view of MaskAllItem which covers whole detector plane with mask value=true.

class AllMasksDisplay : public IMaskElementDisplay {
    Q_OBJECT
public:
    int type() const override { return MaskEditorHelper::MASKALL; }

    explicit AllMasksDisplay(MaskAllItem* item);

    MaskItemObject* parameterizedItem() const override;

protected slots:
    void update_view() override;

protected:
    void paint(QPainter* painter, const QStyleOptionGraphicsItem*, QWidget*) override;

private:
    MaskAllItem* m_item;
};

#endif // BORNAGAIN_GUI_VIEW_MASK_ALLMASKSDISPLAY_H
